﻿/*
* Copyright (c) 2006-2007 Erin Catto http://www.gphysics.com
*
* This software is provided 'as-is', without any express or implied
* warranty.  In no event will the authors be held liable for any damages
* arising from the use of this software.
* Permission is granted to anyone to use this software for any purpose,
* including commercial applications, and to alter it and redistribute it
* freely, subject to the following restrictions:
* 1. The origin of this software must not be misrepresented; you must not
* claim that you wrote the original software. If you use this software
* in a product, an acknowledgment in the product documentation would be
* appreciated but is not required.
* 2. Altered source versions must be plainly marked as such, and must not be
* misrepresented as being the original software.
* 3. This notice may not be removed or altered from any source distribution.
*/

package TestBed{

import Box2D.Collision.*;
import Box2D.Collision.Shapes.*;
import Box2D.Dynamics.Contacts.*;
import Box2D.Dynamics.*;
import Box2D.Common.Math.*;
import Box2D.Common.*;




class Listener extends b2ContactListener
{

	/// Called when a contact point is added. This includes the geometry
	/// and the forces.
	public override function Add(point:b2ContactPoint) : void{
		trace(point.id._key.toString(16)+' '+point);
	};

	/// Called when a contact point persists. This includes the geometry
	/// and the forces.
	public override function Persist(point:b2ContactPoint) : void{};

	/// Called when a contact point is removed. This includes the last
	/// computed geometry and forces.
	public override function Remove(point:b2ContactPoint) : void{};
	
	/// Called after a contact point is solved.
	public override function Result(point:b2ContactResult) : void{};
};

}
