﻿/*
* Copyright (c) 2006-2007 Erin Catto http://www.gphysics.com
*
* This software is provided 'as-is', without any express or implied
* warranty.  In no event will the authors be held liable for any damages
* arising from the use of this software.
* Permission is granted to anyone to use this software for any purpose,
* including commercial applications, and to alter it and redistribute it
* freely, subject to the following restrictions:
* 1. The origin of this software must not be misrepresented; you must not
* claim that you wrote the original software. If you use this software
* in a product, an acknowledgment in the product documentation would be
* appreciated but is not required.
* 2. Altered source versions must be plainly marked as such, and must not be
* misrepresented as being the original software.
* 3. This notice may not be removed or altered from any source distribution.
*/


package TestBed{
	
	
	
	import Box2D.Dynamics.*;
	import Box2D.Collision.*;
	import Box2D.Collision.Shapes.*;
	import Box2D.Dynamics.Joints.*;
	import Box2D.Dynamics.Contacts.*;
	import Box2D.Common.*;
	import Box2D.Common.Math.*;
	
	
	
	public class TestConcave extends Test{
		
		var bd1:b2Body;
		var bd2:b2Body;
		
		public function TestConcave(){
			
			var s=1;
			
			// Set Text field
			Main.m_aboutText.text = "Concave";
			
			var ground:b2Body = m_world.m_groundBody;
			var i:int;
			var anchor:b2Vec2 = new b2Vec2();
			var body:b2Body;
			
			m_world.m_gravity.SetZero();
			
			var ad = new b2ConcaveArcDef();
			ad.density=4;
			ad.radius=50/m_physScale*s;
			ad.vertexCount=5;
			ad.vertices[0].Set(50/m_physScale*s,0);
			ad.vertices[1].Set(0,50/m_physScale*s);
			ad.vertices[2].Set(-10/m_physScale*s,50/m_physScale*s);
			ad.vertices[3].Set(-10/m_physScale*s,-10/m_physScale*s);
			ad.vertices[4].Set(50/m_physScale*s,-10/m_physScale*s);
			
			var bd = new b2BodyDef();
			bd.position.x = 100/m_physScale;
			bd.position.y = 100/m_physScale;
            
			body = m_world.CreateBody(bd);
			body.CreateShape(ad);
			body.SetMassFromShapes();
			bd1 = body;
			
			ad = new b2PolygonDef();
			ad.density=4;
			ad.vertexCount=5;
			ad.vertices[0].Set(50/m_physScale*s,0);
			ad.vertices[1].Set(0,50/m_physScale*s);
			ad.vertices[2].Set(-10/m_physScale*s,50/m_physScale*s);
			ad.vertices[3].Set(-10/m_physScale*s,-10/m_physScale*s);
			ad.vertices[4].Set(50/m_physScale*s,-10/m_physScale*s);
			
			bd = new b2BodyDef();
			bd.position.x = 200/m_physScale;
			bd.position.y = 200/m_physScale;
            
			body = m_world.CreateBody(bd);
			body.CreateShape(ad);
			body.SetMassFromShapes();
			bd2 = body;
			
			var cd = new b2CircleDef();
			cd.radius=30 / m_physScale;
			cd.density=4;
			
			bd.position.x=200/m_physScale;
			body = m_world.CreateBody(bd);
			body.CreateShape(cd);
			body.SetMassFromShapes();
			
		}
		
		
		//======================
		// Member Data 
		//======================
	}
	
}